﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="crudModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Products">
          <Key>
            <PropertyRef Name="Product_ID" />
          </Key>
          <Property Name="Product_ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Product_Name" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Manufacturer" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Price" Type="decimal" Precision="10" Scale="2" Nullable="false" />
          <Property Name="Product_Type_ID" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="ProductType">
          <Key>
            <PropertyRef Name="Product_Type_ID" />
          </Key>
          <Property Name="Product_Type_ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Product_Type" Type="varchar" MaxLength="50" Nullable="false" />
        </EntityType>
        <!--Errors Found During Generation:
warning 6002: The table/view 'crud.dbo.SelectWithJoin' does not have a primary key defined. The key has been inferred and the definition was created as a read-only table/view.-->
        <EntityType Name="SelectWithJoin">
          <Key>
            <PropertyRef Name="Product_ID" />
            <PropertyRef Name="Product_Name" />
            <PropertyRef Name="Manufacturer" />
            <PropertyRef Name="Price" />
            <PropertyRef Name="Product_Type" />
          </Key>
          <Property Name="Product_ID" Type="int" Nullable="false" />
          <Property Name="Product_Name" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Manufacturer" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Price" Type="decimal" Precision="10" Scale="2" Nullable="false" />
          <Property Name="Product_Type" Type="varchar" MaxLength="50" Nullable="false" />
        </EntityType>
        <Association Name="FK_Products_ProductType">
          <End Role="ProductType" Type="Self.ProductType" Multiplicity="1" />
          <End Role="Products" Type="Self.Products" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="ProductType">
              <PropertyRef Name="Product_Type_ID" />
            </Principal>
            <Dependent Role="Products">
              <PropertyRef Name="Product_Type_ID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="crudModelStoreContainer">
          <EntitySet Name="Products" EntityType="Self.Products" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="ProductType" EntityType="Self.ProductType" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="SelectWithJoin" EntityType="Self.SelectWithJoin" store:Type="Views" store:Schema="dbo">
            <DefiningQuery>SELECT 
    [SelectWithJoin].[Product_ID] AS [Product_ID], 
    [SelectWithJoin].[Product_Name] AS [Product_Name], 
    [SelectWithJoin].[Manufacturer] AS [Manufacturer], 
    [SelectWithJoin].[Price] AS [Price], 
    [SelectWithJoin].[Product_Type] AS [Product_Type]
    FROM [dbo].[SelectWithJoin] AS [SelectWithJoin]</DefiningQuery>
          </EntitySet>
          <AssociationSet Name="FK_Products_ProductType" Association="Self.FK_Products_ProductType">
            <End Role="ProductType" EntitySet="ProductType" />
            <End Role="Products" EntitySet="Products" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="crudModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="Product">
          <Key>
            <PropertyRef Name="Product_ID" />
          </Key>
          <Property Name="Product_ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Product_Name" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="Manufacturer" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="Price" Type="Decimal" Precision="10" Scale="2" Nullable="false" />
          <Property Name="Product_Type_ID" Type="Int32" Nullable="false" />
          <NavigationProperty Name="ProductType" Relationship="Self.FK_Products_ProductType" FromRole="Products" ToRole="ProductType" />
        </EntityType>
        <EntityType Name="ProductType">
          <Key>
            <PropertyRef Name="Product_Type_ID" />
          </Key>
          <Property Name="Product_Type_ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Product_Type" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <NavigationProperty Name="Products" Relationship="Self.FK_Products_ProductType" FromRole="ProductType" ToRole="Products" />
        </EntityType>
        <EntityType Name="SelectWithJoin">
          <Key>
            <PropertyRef Name="Product_ID" />
            <PropertyRef Name="Product_Name" />
            <PropertyRef Name="Manufacturer" />
            <PropertyRef Name="Price" />
            <PropertyRef Name="Product_Type" />
          </Key>
          <Property Name="Product_ID" Type="Int32" Nullable="false" />
          <Property Name="Product_Name" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="Manufacturer" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="Price" Type="Decimal" Precision="10" Scale="2" Nullable="false" />
          <Property Name="Product_Type" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
        </EntityType>
        <Association Name="FK_Products_ProductType">
          <End Role="ProductType" Type="Self.ProductType" Multiplicity="1" />
          <End Role="Products" Type="Self.Product" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="ProductType">
              <PropertyRef Name="Product_Type_ID" />
            </Principal>
            <Dependent Role="Products">
              <PropertyRef Name="Product_Type_ID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="linqEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Products" EntityType="Self.Product" />
          <EntitySet Name="ProductTypes" EntityType="Self.ProductType" />
          <EntitySet Name="SelectWithJoins" EntityType="Self.SelectWithJoin" />
          <AssociationSet Name="FK_Products_ProductType" Association="Self.FK_Products_ProductType">
            <End Role="ProductType" EntitySet="ProductTypes" />
            <End Role="Products" EntitySet="Products" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="crudModelStoreContainer" CdmEntityContainer="linqEntities">
          <EntitySetMapping Name="Products">
            <EntityTypeMapping TypeName="crudModel.Product">
              <MappingFragment StoreEntitySet="Products">
                <ScalarProperty Name="Product_ID" ColumnName="Product_ID" />
                <ScalarProperty Name="Product_Name" ColumnName="Product_Name" />
                <ScalarProperty Name="Manufacturer" ColumnName="Manufacturer" />
                <ScalarProperty Name="Price" ColumnName="Price" />
                <ScalarProperty Name="Product_Type_ID" ColumnName="Product_Type_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="ProductTypes">
            <EntityTypeMapping TypeName="crudModel.ProductType">
              <MappingFragment StoreEntitySet="ProductType">
                <ScalarProperty Name="Product_Type_ID" ColumnName="Product_Type_ID" />
                <ScalarProperty Name="Product_Type" ColumnName="Product_Type" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="SelectWithJoins">
            <EntityTypeMapping TypeName="crudModel.SelectWithJoin">
              <MappingFragment StoreEntitySet="SelectWithJoin">
                <ScalarProperty Name="Product_ID" ColumnName="Product_ID" />
                <ScalarProperty Name="Product_Name" ColumnName="Product_Name" />
                <ScalarProperty Name="Manufacturer" ColumnName="Manufacturer" />
                <ScalarProperty Name="Price" ColumnName="Price" />
                <ScalarProperty Name="Product_Type" ColumnName="Product_Type" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>